PUT /api/v2/plans/{plan_uuid}/linked-policy-numbers/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required
  • uuid string Required
application/json

Body

  • linked_policy_number string Required

    The linked policy number for the plan.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • linked_policy_number string

      The linked policy number.

    • plan object

      The plan this linked policy number belongs to.

      Hide plan attributes Show plan attributes object
      • uuid string
      • created_at string
      • updated_at string
      • opened_at string
      • name string
      • type string
      • sub_type string
      • abstract_type string
      • policy_number string
      • proposal_reference string
      • status string
      • inactive_at string
      • inactive_reason string
      • agency_in_your_name boolean
      • agency_in_your_name_from string
      • originally_sold_by_firm boolean
      • under_advice boolean
      • visible_on_client_portal boolean
      • include_in_client_valuation boolean
      • show_on_joint boolean
      • shown_on_circles boolean
      • review_date string
      • on_panel boolean
      • is_group_scheme boolean
      • is_sub_group_scheme boolean
      • is_group_scheme_member boolean
      • advice_area string
      • main_account string
      • sub_accounts string
      • provider string
      • covers string
      • claims string
      • total_benefit_amount object
        Hide total_benefit_amount attributes Show total_benefit_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • total_benefits object
        Hide total_benefits attributes Show total_benefits attributes object
        • critical_illness object
          Hide critical_illness attributes Show critical_illness attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • family_income_benefit object
          Hide family_income_benefit attributes Show family_income_benefit attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
      • latest_valuations string
      • value object
        Hide value attributes Show value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • valued_at string
      • original_valued_at string
      • client string
      • accounts string
      • seller string
      • linked_owners string
      • linked_plans string
      • visible_to_circles string
      • statistics object
        Hide statistics attribute Show statistics attribute object
        • recent_growth integer
      • cases string
      • tags string
      • is_wrap_product boolean
      • is_wrap_child boolean
      • wrap string
      • wrap_children string
      • linked_policy_numbers string
      • can_be_deleted string
      • contract_enquiry_account string
      • custom_fields string
      • external_references string
PUT /api/v2/plans/{plan_uuid}/linked-policy-numbers/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/linked-policy-numbers/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"linked_policy_number":"ABC123-X"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "linked_policy_number": "ABC123-X"
}
Response examples (201)
{
  "plan": {
    "name": "Johns ISA",
    "tags": "App\\Http\\Resources\\TagResource",
    "type": "cash_account",
    "uuid": "77dd0ab7-b72f-4a38-8c2c-851afb3f7ca1",
    "wrap": "App\\Http\\Resources\\Plans\\PlanResource",
    "cases": "App\\Http\\Resources\\CasesResource",
    "value": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      }
    },
    "claims": "App\\Http\\Resources\\Plans\\ClaimResource",
    "client": "App\\Http\\Resources\\AccountResource",
    "covers": "App\\Http\\Resources\\Plans\\CoverResource",
    "seller": "App\\Http\\Resources\\AccountResource",
    "status": "inactive",
    "accounts": "App\\Http\\Resources\\AccountResource",
    "on_panel": true,
    "provider": "App\\Http\\Resources\\Plans\\ProviderResource",
    "sub_type": "lifetime isa",
    "opened_at": "2026-03-18T16:05:27+00:00",
    "valued_at": "2026-03-18T16:05:27+00:00",
    "created_at": "2026-03-18T16:05:27+00:00",
    "statistics": {
      "recent_growth": 100
    },
    "updated_at": "2026-03-18T16:05:27+00:00",
    "advice_area": "non_investment_insurance",
    "inactive_at": "2026-03-18T16:05:27+00:00",
    "review_date": "2025-03-18",
    "linked_plans": "App\\Http\\Resources\\Plans\\PlanResource",
    "main_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
    "sub_accounts": "App\\Http\\Resources\\Plans\\SubAccountResource",
    "under_advice": true,
    "abstract_type": "asset",
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "is_wrap_child": false,
    "linked_owners": "App\\Http\\Resources\\AccountResource",
    "policy_number": "AVIVA-123",
    "show_on_joint": true,
    "wrap_children": "App\\Http\\Resources\\Plans\\PlanResource",
    "can_be_deleted": "false",
    "total_benefits": {
      "critical_illness": {
        "amount": {
          "example": "15000000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        },
        "formatted": {
          "example": "£150,000.00",
          "description": "Money amount formatted with currency"
        }
      },
      "family_income_benefit": {
        "amount": {
          "example": "10000000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        },
        "formatted": {
          "example": "£100,000.00",
          "description": "Money amount formatted with currency"
        }
      }
    },
    "inactive_reason": "claimed",
    "is_group_scheme": false,
    "is_wrap_product": false,
    "shown_on_circles": true,
    "latest_valuations": "App\\Http\\Resources\\Plans\\ValuationResource",
    "original_valued_at": "2026-03-17T16:05:27+00:00",
    "proposal_reference": "AB123456",
    "visible_to_circles": "App\\Http\\Resources\\CircleResource",
    "agency_in_your_name": true,
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource",
    "is_sub_group_scheme": false,
    "total_benefit_amount": {
      "amount": {
        "example": "25000000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      },
      "formatted": {
        "example": "£250,000.00",
        "description": "Money amount formatted with currency"
      }
    },
    "linked_policy_numbers": "App\\Http\\Resources\\Plans\\LinkedPolicyNumberResource",
    "is_group_scheme_member": false,
    "originally_sold_by_firm": true,
    "agency_in_your_name_from": "2025-03-18",
    "contract_enquiry_account": "App\\Http\\Resources\\AccountResource",
    "visible_on_client_portal": true,
    "include_in_client_valuation": true
  },
  "uuid": "931f5791-40e4-412b-bf1a-9c860e780027",
  "created_at": "2026-03-18T16:05:27+00:00",
  "updated_at": "2026-03-18T16:05:27+00:00",
  "linked_policy_number": "ABC123-X"
}